#
# spec file for package python-ironic-lib
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-ironic-lib
Version:        2.16.2
Release:        2.1
Summary:        Ironic Common Libraries
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://docs.openstack.org/developer/ironic-lib/
Source0:        https://files.pythonhosted.org/packages/source/i/ironic-lib/ironic-lib-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-pbr
BuildRequires:  python-setuptools
Requires:       python-eventlet
Requires:       python-oslo.concurrency
Requires:       python-oslo.config
Requires:       python-oslo.i18n
Requires:       python-oslo.log
Requires:       python-oslo.service
Requires:       python-oslo.utils
Requires:       python-requests
Requires:       python-six
BuildArch:      noarch

%description
A common library to be used **exclusively** by projects under the `Ironic
governance <http://governance.openstack.org/reference/projects/ironic.html>`

%prep
%autosetup -n ironic-lib-%{version}
%py_req_cleanup

%build
%{py2_build}

%install
%{py2_install}

%files
%license LICENSE
%doc ChangeLog README.rst
%{python2_sitelib}/ironic_lib
%{python2_sitelib}/ironic_lib*egg-info

%changelog
